AM261x MCU+ SDK: enet_phymdio_dflt.h File Reference

| AM261x MCU+ SDK 26.00.00 |

Functions
enet_phymdio_dflt.h File Reference

## Introduction

This file contains the interface to the default implementation of the MDIO driver defined by the Ethernet PHY driver (EnetPhy).

Go to the source code of this file.

## Functions
int32_t | EnetPhyMdioDflt_isAlive (uint32_t phyAddr, bool *isAlive, Mdio_Obj *hMdio)
int32_t | EnetPhyMdioDflt_isLinked (uint32_t phyAddr, bool *isLinked, Mdio_Obj *hMdio)
int32_t | EnetPhyMdioDflt_readC22 (uint32_t group, uint32_t phyAddr, uint32_t reg, uint16_t *val, Mdio_Obj *hMdio)
int32_t | EnetPhyMdioDflt_writeC22 (uint32_t group, uint32_t phyAddr, uint32_t reg, uint16_t val, Mdio_Obj *hMdio)
int32_t | EnetPhyMdioDflt_readC45 (uint32_t group, uint32_t phyAddr, uint8_t mmd, uint16_t reg, uint16_t *val, Mdio_Obj *hMdio)
int32_t | EnetPhyMdioDflt_writeC45 (uint32_t group, uint32_t phyAddr, uint8_t mmd, uint16_t reg, uint16_t val, Mdio_Obj *hMdio)
EnetPhy_MdioHandle | EnetPhyMdioDflt_getPhyMdio (void)
| Get handle to the default Enet MDIO implementation. More...
int32_t | EnetPhyMdioDflt_ioctl (EnetPhy_Handle hPhy, uint32_t cmd, Enet_IoctlPrms *prms)
| Run an IOCTL operation on a PHY. More...

## Function Documentation

## ◆ EnetPhyMdioDflt_isAlive()

int32_t EnetPhyMdioDflt_isAlive | ( | uint32_t | phyAddr,
|  | bool * | isAlive,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_isLinked()

int32_t EnetPhyMdioDflt_isLinked | ( | uint32_t | phyAddr,
|  | bool * | isLinked,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_readC22()

int32_t EnetPhyMdioDflt_readC22 | ( | uint32_t | group,
|  | uint32_t | phyAddr,
|  | uint32_t | reg,
|  | uint16_t * | val,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_writeC22()

int32_t EnetPhyMdioDflt_writeC22 | ( | uint32_t | group,
|  | uint32_t | phyAddr,
|  | uint32_t | reg,
|  | uint16_t | val,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_readC45()

int32_t EnetPhyMdioDflt_readC45 | ( | uint32_t | group,
|  | uint32_t | phyAddr,
|  | uint8_t | mmd,
|  | uint16_t | reg,
|  | uint16_t * | val,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_writeC45()

int32_t EnetPhyMdioDflt_writeC45 | ( | uint32_t | group,
|  | uint32_t | phyAddr,
|  | uint8_t | mmd,
|  | uint16_t | reg,
|  | uint16_t | val,
|  | Mdio_Obj * | hMdio
| ) |  |

## ◆ EnetPhyMdioDflt_getPhyMdio()

EnetPhy_MdioHandle EnetPhyMdioDflt_getPhyMdio | ( | void |  | ) |

Get handle to the default Enet MDIO implementation.

Gets a handle to the default EnetPhy MDIO driver implementation which is based on the Enet MDIO module.

Returns
  Handle to the Enet based MDIO default implementation.

## ◆ EnetPhyMdioDflt_ioctl()

int32_t EnetPhyMdioDflt_ioctl | ( | EnetPhy_Handle | hPhy,
|  | uint32_t | cmd,
|  | Enet_IoctlPrms * | prms
| ) |  |

Run an IOCTL operation on a PHY.

Runs an IOCTL operation on a given PHY using the ENETPHY driver APIs. This IOCTL function can be used by Enet Peripheral drivers to handle PHY IOCTL commands if they use an ENETPHY driver.

Parameters

  hPhy | PHY handle
  cmd | IOCTL command Id
  prms | IOCTL parameters

Returns
  Enet_ErrorCodes